Loading...
Searching...
No Matches
juce::var::NativeFunctionArgs Struct Reference

`#include <juce_Variant.h>`

## Public Member Functions

| NativeFunctionArgs (const var &thisObject, const var *args, int numArgs) noexcept

## Public Attributes

const var & | thisObject
const var * | arguments
int | numArguments

## Detailed Description

This structure is passed to a NativeFunction callback, and contains invocation details about the function's arguments and context.

Definition at line 48 of file juce_Variant.h.

## Constructor & Destructor Documentation

## NativeFunctionArgs()

juce::var::NativeFunctionArgs::NativeFunctionArgs | ( | const var & | thisObject,
|  | const var * | args,
|  | int | numArgs )

noexcept

Definition at line 879 of file juce_Variant.cpp.

## Member Data Documentation

## arguments

const var* juce::var::NativeFunctionArgs::arguments

Definition at line 53 of file juce_Variant.h.

## numArguments

int juce::var::NativeFunctionArgs::numArguments

Definition at line 54 of file juce_Variant.h.

## thisObject

const var& juce::var::NativeFunctionArgs::thisObject

Definition at line 52 of file juce_Variant.h.

The documentation for this struct was generated from the following files:

- juce_Variant.h
- juce_Variant.cpp